Index: code/branches/core5/src/modules/objects/eventsystem/EventDispatcher.cc
===================================================================
--- code/branches/core5/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 5799)
+++ code/branches/core5/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 5800)
@@ -47,5 +47,5 @@
         if (this->isInitialized())
             for (std::list<EventTarget*>::iterator it = this->targets_.begin(); it != this->targets_.end(); ++it)
-                delete (*it);
+                (*it)->destroy();
     }
 
Index: code/branches/core5/src/modules/overlays/hud/HUDHealthBar.cc
===================================================================
--- code/branches/core5/src/modules/overlays/hud/HUDHealthBar.cc	(revision 5799)
+++ code/branches/core5/src/modules/overlays/hud/HUDHealthBar.cc	(revision 5800)
@@ -56,5 +56,5 @@
     {
         if (this->isInitialized())
-            delete this->textoverlay_;
+            this->textoverlay_->destroy();
     }
 
Index: code/branches/core5/src/modules/overlays/hud/UnderAttackHealthBar.cc
===================================================================
--- code/branches/core5/src/modules/overlays/hud/UnderAttackHealthBar.cc	(revision 5799)
+++ code/branches/core5/src/modules/overlays/hud/UnderAttackHealthBar.cc	(revision 5800)
@@ -58,5 +58,5 @@
     {
         if (this->isInitialized())
-            delete this->text_;
+            this->text_->destroy();
     }
 
Index: code/branches/core5/src/modules/overlays/stats/CreateLines.cc
===================================================================
--- code/branches/core5/src/modules/overlays/stats/CreateLines.cc	(revision 5799)
+++ code/branches/core5/src/modules/overlays/stats/CreateLines.cc	(revision 5800)
@@ -59,8 +59,8 @@
     CreateLines::~CreateLines()
     {
-        delete this->playerNameText_;
-        delete this->scoreText_;
-        delete this->deathsText_;
-        delete this->background_;
+        this->playerNameText_->destroy();
+        this->scoreText_->destroy();
+        this->deathsText_->destroy();
+        this->background_->destroy();
     }
 
Index: code/branches/core5/src/modules/pong/Pong.cc
===================================================================
--- code/branches/core5/src/modules/pong/Pong.cc	(revision 5799)
+++ code/branches/core5/src/modules/pong/Pong.cc	(revision 5800)
@@ -120,5 +120,5 @@
         if (this->ball_)
         {
-            delete this->ball_;
+            this->ball_->destroy();
             this->ball_ = 0;
         }
Index: code/branches/core5/src/modules/pong/PongAI.cc
===================================================================
--- code/branches/core5/src/modules/pong/PongAI.cc	(revision 5799)
+++ code/branches/core5/src/modules/pong/PongAI.cc	(revision 5800)
@@ -61,5 +61,5 @@
     {
         for (std::list<std::pair<Timer<PongAI>*, char> >::iterator it = this->reactionTimers_.begin(); it != this->reactionTimers_.end(); ++it)
-            delete (*it).first;
+            (*it).first->destroy();
     }
 
@@ -247,5 +247,5 @@
         // Destroy the timer and remove it from the list
         Timer<PongAI>* timer = this->reactionTimers_.front().first;
-        delete timer;
+        timer->destroy();
 
         this->reactionTimers_.pop_front();
Index: code/branches/core5/src/modules/questsystem/QuestGUI.cc
===================================================================
--- code/branches/core5/src/modules/questsystem/QuestGUI.cc	(revision 5799)
+++ code/branches/core5/src/modules/questsystem/QuestGUI.cc	(revision 5800)
@@ -79,5 +79,5 @@
         
         if(this->root_ != NULL)
-            delete this->root_;
+            this->root_->destroy();
     }
 
@@ -146,5 +146,5 @@
             COUT(3) << "Clearing Node '" << *str << "' ..." << std::endl;
             delete str;
-            delete node;
+            node->destroy();
         }
         this->nodes_.clear();
Index: code/branches/core5/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/branches/core5/src/modules/questsystem/QuestManager.cc	(revision 5799)
+++ code/branches/core5/src/modules/questsystem/QuestManager.cc	(revision 5800)
@@ -76,5 +76,5 @@
         for(std::map<PlayerInfo*, QuestGUI*>::iterator it = this->questGUIs_.begin(); it != this->questGUIs_.end(); it++)
         {
-            delete (*it).second;
+            (*it).second->destroy();
         }
         this->questGUIs_.clear();
Index: code/branches/core5/src/modules/questsystem/notifications/NotificationQueue.cc
===================================================================
--- code/branches/core5/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 5799)
+++ code/branches/core5/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 5800)
@@ -426,5 +426,5 @@
         this->containers_.erase(container);
         this->overlays_.erase(container->notification);
-        delete container->overlay;
+        container->overlay->destroy();
         delete container;
         this->size_= this->size_-1;
Index: code/branches/core5/src/modules/weapons/projectiles/ParticleProjectile.cc
===================================================================
--- code/branches/core5/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 5799)
+++ code/branches/core5/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 5800)
@@ -59,5 +59,5 @@
         {
             this->detachOgreObject(this->particles_->getParticleSystem());
-            delete this->particles_;
+            this->particles_->destroy();
         }
     }
Index: code/branches/core5/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/branches/core5/src/modules/weapons/projectiles/Projectile.cc	(revision 5799)
+++ code/branches/core5/src/modules/weapons/projectiles/Projectile.cc	(revision 5800)
@@ -84,5 +84,5 @@
 
         if (this->bDestroy_)
-            delete this;
+            this->destroy(); // TODO: use a scheduler instead of deleting the object right here in tick()
     }
 
@@ -90,5 +90,5 @@
     {
         if (GameMode::isMaster())
-            delete this;
+            this->destroy();
     }
 
